name:     hello
version:  2.18
versions: 2.10, 2.9, 2.8, 2.7, 2.6
# Lists.
sources:
	- https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz

packager: Luka Vandervelden <lukc@upyum.com>
url:      https://www.gnu.org/software/%{name}%{version}/

flavors: nls, minimal

# This are blocks of free text.
@configure
	cd hello-%{version}
	./configure

@build
	cd hello-%{version}
	make

@install
	cd hello-%{version}
	make DESTDIR="$PKG" install

%rule .c, .o
	simpleass: assignment42
	list:
		- blah

%rule Debian, Ubuntu%{version}
    # COMMENT
	deps:
		- dep for %{name} packager %{packager}
		- url %{url}
	@free
		code flavors %{flavors}
		code versions %{versions}
